summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Larry Hajali <larryhaja@gmail.com>2015-01-20 17:19:49 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-01-20 17:19:49 +0700
commit03ad38d0082326f042edea31dcf08b055b4bdadb (patch)
treedbdd94c531b792c2daa557b938ca666c0a832363 /perl
parent92845ee8f54ae1b71c9ddaa6b06247dd12133aa1 (diff)
downloadslackbuilds-03ad38d0082326f042edea31dcf08b055b4bdadb.tar.gz
slackbuilds-03ad38d0082326f042edea31dcf08b055b4bdadb.tar.xz
perl/perl-Unicode-Map8: Added (Mapping table).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-Unicode-Map8/README5
-rw-r--r--perl/perl-Unicode-Map8/perl-Unicode-Map8.SlackBuild106
-rw-r--r--perl/perl-Unicode-Map8/perl-Unicode-Map8.info10
-rw-r--r--perl/perl-Unicode-Map8/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/perl/perl-Unicode-Map8/README b/perl/perl-Unicode-Map8/README
new file mode 100644
index 0000000000..e1602a9f81
--- /dev/null
+++ b/perl/perl-Unicode-Map8/README
@@ -0,0 +1,5 @@
+The Unicode::Map8 class implement efficient mapping tables between 8-bit
+character sets and 16 bit character sets like Unicode. About 170 different
+mapping tables between various known character sets and Unicode is distributed
+with this package. The source of these tables is the vendor mapping tables
+provided by Unicode, Inc. and the code tables in RFC 1345.
diff --git a/perl/perl-Unicode-Map8/perl-Unicode-Map8.SlackBuild b/perl/perl-Unicode-Map8/perl-Unicode-Map8.SlackBuild
new file mode 100644
index 0000000000..ff9362ea28
--- /dev/null
+++ b/perl/perl-Unicode-Map8/perl-Unicode-Map8.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for perl-Unicode-Map8
+
+# Copyright 2015 Larry Hajali <larryhaja[at[gmail[dot]com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-Unicode-Map8
+SRCNAM=Unicode-Map8
+VERSION=${VERSION:-0.13}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec chmod 0644 '{}' \;
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+chmod 0755 $PKG/usr/bin/*
+find $PKG/usr/lib${LIBDIRSUFFIX} ! -name "*\.so" -exec chmod 0644 '{}' \;
+find $PKG -type d -exec chmod 0755 '{}' \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Unicode-Map8/perl-Unicode-Map8.info b/perl/perl-Unicode-Map8/perl-Unicode-Map8.info
new file mode 100644
index 0000000000..54d3d1b793
--- /dev/null
+++ b/perl/perl-Unicode-Map8/perl-Unicode-Map8.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Unicode-Map8"
+VERSION="0.13"
+HOMEPAGE="http://search.cpan.org/~gaas/Unicode-Map8-0.13/Map8.pm"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/Unicode-Map8-0.13.tar.gz"
+MD5SUM="fc93a37cabcae488bd95ca07bf5c919e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-Unicode-String"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
diff --git a/perl/perl-Unicode-Map8/slack-desc b/perl/perl-Unicode-Map8/slack-desc
new file mode 100644
index 0000000000..e61b2c1802
--- /dev/null
+++ b/perl/perl-Unicode-Map8/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Unicode-Map8: perl-Unicode-Map8 (Mapping table between 8-bit chars and Unicode)
+perl-Unicode-Map8:
+perl-Unicode-Map8: The Unicode::Map8 class implement efficient mapping tables between
+perl-Unicode-Map8: 8-bit character sets and 16 bit character sets like Unicode. About
+perl-Unicode-Map8: 170 different mapping tables between various known character sets and
+perl-Unicode-Map8: Unicode is distributed with this package. The source of these tables
+perl-Unicode-Map8: is the vendor mapping tables provided by Unicode, Inc. and the code
+perl-Unicode-Map8: tables in RFC 1345.
+perl-Unicode-Map8:
+perl-Unicode-Map8: Homepage: http://search.cpan.org/~gaas/Unicode-Map8-0.13/Map8.pm
+perl-Unicode-Map8: